hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Busbey (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-12914) Mark public features that require HFilev3 Unstable in 0.98, warn in upgrade section
Date Mon, 26 Jan 2015 01:38:34 GMT
Sean Busbey created HBASE-12914:
-----------------------------------

             Summary: Mark public features that require HFilev3 Unstable in 0.98, warn in
upgrade section
                 Key: HBASE-12914
                 URL: https://issues.apache.org/jira/browse/HBASE-12914
             Project: HBase
          Issue Type: Bug
          Components: API, documentation
    Affects Versions: 0.98.9, 0.98.8, 0.98.7, 0.98.6
            Reporter: Sean Busbey
            Priority: Critical
             Fix For: 1.0.0, 0.98.10


There are several features in 0.98 that require enabling HFilev3 support. Some of those features
include new extendable components that are marked IA.Public.

Current practice has been to treat these features as experimental. This has included pushing
non-compatible changes to branch-1 as the API got worked out through use in 0.98.

* Update all of the IA.Public classes involved to make sure they are IS.Unstable in 0.98.
* Update the ref guide section on upgrading from 0.98 -> 1.0 to make folks aware of these
changes.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message